Firefox 35 下可用的 pentadactyl

pentadactyl 是一个以类 vim 方式操作 Firefox 的插件。

由于某些原因,pentadactyl 并未停止开发,但火狐附加组件页面和官方每日构建页面都停止了更新,导致火狐新版无法支持 。

于是我自己构建了一个版本,是文章发布时的最新源码构建的。放在了百度网盘,需要的人自取。

构建其实也很简单,以 CentOS 为例,假设你安装了 epel ,然后:

yum install mercurial zip make # 安装hg,zip,gmake等依赖
hg clone http://dactyl.googlecode.com/hg/ dactyl # 将 dactyl 的源码克隆到本地
cd dactyl/
make -C pentadactyl xpi # 制作 pentadactyl 的 xpi 文件

然后你会在 downloads 文件夹下发现构建好的 xpi 文件。直接用火狐安装即可。

更新:Firefox 35 可用的版本已经传到了百度网盘

3 Replies to “Firefox 35 下可用的 pentadactyl”

  1. pentadactyl会导致某些页面元素变得会受到上下滚动(pageup/pagedown)影响,博主知道解决方法吗?

      1. 例如,百度搜索页,有个“百度为您找到相关结果约”这一行,你在同一行的大概高度点击一下鼠标,在按pageup或滚轮上下动看看。原来这行相对页面是固定的,现在能上下移动了,对滚动有干扰。这个问题和resource://dactyl/buffer.jsm: 1632: TypeError: options is undefined 错误提示一样,很烦人。

发表评论

电子邮件地址不会被公开。 必填项已用*标注

*

code